%define name pythonsudoku
%define version 0.12.4
%define release 1

Name: %{name}
Version: %{version}
Release: %mkrel %release

Summary: 	Python based Sudoku game
Source0: 	%{name}-%{version}.tar.bz2
URL: 		http://pythonsudoku.sourceforge.net/
Group: 		Games/Other
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: 	GPL
%ifarch i586
Requires: 	python-psyco
%endif
Requires:	python-reportlab
Requires:	python-imaging
%ifarch i586
BuildRequires: 	libpython2.5-devel
%endif
%ifarch x86_64
BuildRequires: 	lib64python2.5-devel
%endif
Provides: 	%{name}-%{version}

%description
Python Sudoku is a text and graphical (gtk interface) program to create or resolve sudokus. It can also print a sudoku (1 or 4 sudokus in each page) and write an image (png, jpeg, etc) with a sudoku.

%description -l de
PythonSudoku ist ein sowohl textbasiertes als auch grafisches (Gtk-)Programm zum Erzeugen und Lösen von Sudokus. Ausgabe auf einen Drucker (1 bis 4 Sudokus pro Seite) ist ebenso möglich wie Erzeugung einer Bilddatei (png, jpeg, usw.).

%prep
rm -rf $RPM_BUILDROOT
%setup -q -n %{name}-%{version}
python setup.py config
python setup.py install --root %{_tmppath}/%{name}-%{version}-%{release}-buildroot
mkdir -p %{buildroot}/%{_datadir}/applications/
cp ./debian/pythonsudoku.desktop %{buildroot}/%{_datadir}/applications
mv -f %{buildroot}/usr/games/pysdk.py %{buildroot}/usr/games/pysdk

%files
%defattr(-,root,root,0755)
%doc README README.freefont COPYING COPYING.freefont TODO Changelog 
%{_prefix}/games/pysdk
%{_sysconfdir}/pysdk.cfg
%{_datadir}/locale/*
%{_datadir}/games/pythonsudoku/FreeSans.ttf
%{_libdir}/../lib/python2.5/site-packages/*

%package gui
Summary:	Graphical interface for Pythonsudoku
Group:		Games/Other
Requires: 	pygtk2.0
Requires: 	%{name}-%{version}

%description gui
Graphical interface for Pythonsudoku

%description -l de gui
Grafische Oberfläche für Pythonsudoku

%files gui
%defattr(-,root,root,0755)
%doc ./doc/*
%{_datadir}/applications/pythonsudoku.desktop

%post gui
%update_menus
%postun gui
%clean_menus


%changelog
* Fri Jan 04 2008 Oliver Burger <rpm@mandrivauser.de> 0.12.4-1mud2008.0
- rebuild for MUde

* Fri Jan 04 2008 Mario Blaettermann <mario.blaettermann@t-online.de>
- initial version
